services:
  worker:
    hostname: squiz-worker
    container_name: squiz-worker
    image: $CI_REGISTRY_IMAGE/worker:$CI_COMMIT_REF_SLUG.$CI_PIPELINE_ID
    tty: true
    environment:
      IS_PROD_LOG: 'false'
      IS_PROD: 'false'
      PG_CRED: 'host=10.6.0.23 port=5433 user=squiz password=Redalert2 dbname=squiz sslmode=disable'
      KAFKA_BROKER: '10.6.0.11:9092'
      KAFKA_TOPIC: 'tariffs'
      QUIZ_ID: quizCnt
      AMOUNT: 10
      UNLIM_ID: quizUnlimTime
      REDIS_HOST: '10.6.0.23:6379'
      REDIS_PASSWORD: 'Redalert2'
      REDIS_DB: 2
      SMTP_HOST: 'connect.mailclient.bz'
      SMTP_PORT: '587'
      SMTP_SENDER: 'noreply@mailing.pena.digital'
      SMTP_IDENTITY: ''
      SMTP_USERNAME: 'kotilion.95@gmail.com'
      SMTP_PASSWORD: 'vWwbCSg4bf0p'
      SMTP_API_KEY: 'P0YsjUB137upXrr1NiJefHmXVKW1hmBWlpev'
      CUSTOMER_SERVICE_ADDRESS: 'http://10.6.0.11:8065/'
